org.eclipse.wst.jsdt.chromium

## Interface UpdatableScript.CompileErrorFailure

All Superinterfaces:
  UpdatableScript.Failure

Enclosing interface:
  UpdatableScript

    public static interface UpdatableScript.CompileErrorFailure
    extends UpdatableScript.Failure

Describes failure caused by compile error.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.UpdatableScript.Failure

`UpdatableScript.Failure.Visitor<R>`

### Field Summary

### Fields inherited from interface org.eclipse.wst.jsdt.chromium.UpdatableScript.Failure

`UNSPECIFIED`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getCompilerMessage()` A string message returned by JavaScript compiler.
`TextStreamPosition` `getEndPosition()`
`TextStreamPosition` `getStartPosition()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.UpdatableScript.Failure

`accept`

### Method Detail

#### getCompilerMessage

    java.lang.String getCompilerMessage()

A string message returned by JavaScript compiler.

#### getStartPosition

    TextStreamPosition getStartPosition()

Returns:
  error start position in text.

#### getEndPosition

    TextStreamPosition getEndPosition()

Returns:
  error end position in text.